Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint.primdouble
Class DoubleConstraintMatch

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatch
          org.optaplanner.core.api.score.constraint.primdouble.DoubleConstraintMatch

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatch>

    public class DoubleConstraintMatch

extends ConstraintMatch

See Also:
  Serialized Form

Field Summary
`protected DoubleConstraintMatchTotal` | `constraintMatchTotal`
`protected double` | `weight`

Fields inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatch
`justificationList`

Constructor Summary
`DoubleConstraintMatch(DoubleConstraintMatchTotal constraintMatchTotal, List<Object> justificationList, double weight)`

Method Summary
`DoubleConstraintMatchTotal` | `getConstraintMatchTotal()`
`double` | `getWeight()`
`Number` | `getWeightAsNumber()`

Methods inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatch
`compareTo, getJustificationList, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraintMatchTotal

    protected final DoubleConstraintMatchTotal constraintMatchTotal

### weight

    protected final double weight

Constructor Detail

### DoubleConstraintMatch

    public DoubleConstraintMatch(DoubleConstraintMatchTotal constraintMatchTotal,
                                 List<Object> justificationList,
                                 double weight)

Method Detail

### getConstraintMatchTotal

    public DoubleConstraintMatchTotal getConstraintMatchTotal()

  Specified by:
    `getConstraintMatchTotal` in class `ConstraintMatch`

### getWeight

    public double getWeight()

### getWeightAsNumber

    public Number getWeightAsNumber()

  Specified by:
    `getWeightAsNumber` in class `ConstraintMatch`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.